Package org.eclipse.emf.cdo.admin

# Interface CDOAdminClient

All Superinterfaces:
  `CDOAdmin`, `org.eclipse.net4j.util.collection.Closeable`, `org.eclipse.net4j.util.container.IContainer<CDOAdminRepository>`, `org.eclipse.net4j.util.event.INotifier`

public interface CDOAdminClient extends CDOAdmin
A client-side `administrative interface`.

It can fire the following events:

- `CDOAdminClient.ConnectionStateChangedEvent` after the connection `state` has changed.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`CDOAdminClient.ConnectionStateChangedEvent`
An `event` fired from a client-side `administrative interface` after the connection `state` has changed.

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends Object>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.common.admin.CDOAdmin

`DEFAULT_TYPE, PROPERTY_SECURITY_HOME_FOLDERS, PROPERTY_SECURITY_MANAGER, PROPERTY_STORE_XML_CONFIG`

## Method Summary

Modifier and Type
Method
Description
`CDOAdminClientRepository`
`createRepository(String name, String type, Map<String,Object> properties)`
Creates a new remote `repository` and returns its administrative interface.
`org.eclipse.net4j.connector.IConnector`
`getConnector()`
`CDOAdminClientRepository[]`
`getRepositories()`
`CDOAdminClientRepository`
`getRepository(String name)`
`String`
`getURL()`
`boolean`
`isConnected()`
`CDOAdminClientRepository`
`waitForRepository(String name)`

### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

`close, isClosed`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getURL

String getURL()

### isConnected

boolean isConnected()

### getConnector

org.eclipse.net4j.connector.IConnector getConnector()

### getRepositories

CDOAdminClientRepository[] getRepositories()

Specified by:
  `getRepositories` in interface `CDOAdmin`

### getRepository

CDOAdminClientRepository getRepository(String name)

Specified by:
  `getRepository` in interface `CDOAdmin`

### createRepository

CDOAdminClientRepository createRepository(String name, String type, Map<String,Object> properties)
Description copied from interface: `CDOAdmin`
Creates a new remote `repository` and returns its administrative interface.

On the server-side the creation is delegated to an instance of `org.eclipse.emf.cdo.server.spi.admin.CDOAdminHandler` that is registered with the server's `container` under the given `type` argument. The `name` and `properties` arguments are passed on to the registered handler.

Specified by:
  `createRepository` in interface `CDOAdmin`

### waitForRepository

CDOAdminClientRepository waitForRepository(String name)

Specified by:
  `waitForRepository` in interface `CDOAdmin`